Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Interface JUCtrlInputValueHandler

All Known Subinterfaces:
  JUCtrlValueHandler

All Known Implementing Classes:
  JUCtrlValueBinding

public interface JUCtrlInputValueHandler

Method Summary
`boolean` | `isNewInputValue(JUCtrlValueBinding binding, int index, java.lang.Object value)` Returns true, if the caller needs to call setInputValue() on this binding to update the current attribute value that this binding is set to.
`void` | `setInputValue(JUCtrlValueBinding binding, int index, java.lang.Object value)` Implement value specific handling of the inputValue.

Method Detail

### setInputValue

    public void setInputValue(JUCtrlValueBinding binding,
                              int index,
                              java.lang.Object value)

  Implement value specific handling of the inputValue. For Example Intermedia domains know how to update their data based on a file url or Struts FileHandle as input value. JUCtrlValueBinding provides the base domain object (or null in which case it also provides access to the AttributeDef that contains the domain/value type). Custom implementation for the Intermedia domain may then update some fields on the domain instead of the entire domain Object.
  Parameters:
    `binding` - Control binding that is associated to the attribute to be updated.
    `index` - Index of the attribute in this control binding to update with the given Input Value. Note that for most single attribute control like TextFields, this value should be 0.

### isNewInputValue

    public boolean isNewInputValue(JUCtrlValueBinding binding,
                                   int index,
                                   java.lang.Object value)

  Returns true, if the caller needs to call setInputValue() on this binding to update the current attribute value that this binding is set to.

  If the value is different than the attribute value, or if this binding had cached an error in a pervious setInputValue, then this method returns true.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.